Create view
POST
/api/v1/tables/{tableId}/views
const url = 'https://api.cloudtable.insurge.io/api/v1/tables/example/views';const options = { method: 'POST', headers: {'x-api-key': '<x-api-key>', 'Content-Type': 'application/json'}, body: '{"name":"example","type":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.cloudtable.insurge.io/api/v1/tables/example/views \ --header 'Content-Type: application/json' \ --header 'x-api-key: <x-api-key>' \ --data '{ "name": "example", "type": "example" }'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”tableId
required
string
Request Body
Section titled “Request Body”Media typeapplication/json
object
name
string
type
required
string
Examplegenerated
{ "name": "example", "type": "example"}Responses
Section titled “Responses”Created
Media typeapplication/json
object
id
required
string
name
required
string
type
required
string
Examplegenerated
{ "id": "example", "name": "example", "type": "example"}Unauthorized
Not found